%define upstream_name	Locale-Maketext-Simple
%define upstream_version 0.21

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 4

License:	    MIT
Group:		    Development/Perl
Summary:	    Perl module to use other catalog formats in Maketext
Url:            http://search.cpan.org/dist/%{upstream_name}/
Source0:        http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildArch:      noarch

Requires:	perl(Locale::Maketext::Lexicon)

%description
Locale::Maketext::Simple is simple interface to Locale::Maketext::Lexicon,
a module providing lexicon-handling backends, for "Locale::Maketext" 
to read from other localization formats, such as PO files, MO files, 
or from databases via the "Tie" interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Locale
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-4.mga3
+ Revision: 369158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.210.0-3.mga1
+ Revision: 30736
- mageia rebuild
- imported package perl-Locale-Maketext-Simple

